%define name razor-agents
%define version 2.04
%define release 1tvd

Summary:	Perl agents and modules for accessing/using Vipul's Razor.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Copyright  1999-2002, Vipul Ved Prakash. This software is distributed under the Artistic License.
Group:		System/Mail
Requires:	perl >= 5.004 perl(Digest::SHA1) perl(Net::Ping) perl(Net::DNS) perl(Time::HiRes) perl(Mail::Internet) perl(Digest::HMAC) perl(Digest::Nilsimsa) perl(Test::Simple)
Source:		http://prdownloads.sourceforge.net/razor/%{name}-%{version}.tar.gz
Prefix:		%{_prefix}
Buildroot:	%{_tmppath}/%{name}-root

%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%description

Vipul's Razor is a distributed, collaborative, spam detection and
filtering network. Razor establishes a distributed and constantly
updating catalogue of spam in propagation. This catalogue is used
by clients to filter out known spam.  Prior to manual processing or
transport-level reception, Razor Filtering Agents (end-users and MTAs)
check their incoming mail against a Catalogue Server and filter out
or deny transport in case of a signature match. Catalogued spam, once
identified and reported by a Reporting Agent, can be blocked out by the
rest of the Filtering Agents on the network.

%prep -q
%setup -q -n %{name}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
%{__make} OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
%{__make} test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1


[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr ! -type d -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT 

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc INSTALL README

%changelog
* Sat Jun 15 2002 William Stearns <wstearns@pobox.com>
- updated to 2.04 sources.

* Thu Jun 13 2002 Theo Van Dinter <felicity@kluge.net>
- Updated to 2.02

* Mon Jan  7 2002 Theo Van Dinter <felicity@kluge.net>
- Added a bunch of requires which are needed.

* Fri Dec 28 2001 Theo Van Dinter <felicity@kluge.net>
- Created
